jv.objectGui

## Class PsScanline

- java.lang.Object
- - jv.objectGui.PsScanline

-     public class PsScanline
      extends java.lang.Object

  Utility class with rasterization algorithms on pixel images.
  Since:
    JavaView 2.80.001

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float[][]` | `m_aAnteile` float[3][>=#scanlines].
    `float[][]` | `m_eAnteile` float[3][>=#scanlines].
    `int` | `m_length` Number of scanlines.
    `int[]` | `m_xa` X-coordinates of scanlines. xa: head, xe: tail, both inclusive.
    `int[]` | `m_xe` X-coordinates of scanlines. xa: head, xe: tail, both inclusive.
    `int` | `m_ymin` Y-coordinate of first scanlines, next scanlines are m_ymin+1 etc.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsScanline()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `makeScanlines(int x0, int y0, int x1, int y1, int x2, int y2)` A triangle in pixel space is digitized in a set of horizontal scanlines.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_xa

          public int[] m_xa

      X-coordinates of scanlines. xa: head, xe: tail, both inclusive. xa[i] is the beginning of i-th scanline from top.

    - #### m_xe

          public int[] m_xe

      X-coordinates of scanlines. xa: head, xe: tail, both inclusive. xa[i] is the beginning of i-th scanline from top.

    - #### m_aAnteile

          public float[][] m_aAnteile

      float[3][>=#scanlines]. Barycentric coordinates of heads of scanlines, e.g. for interpolation of scalar values at vertices.

    - #### m_eAnteile

          public float[][] m_eAnteile

      float[3][>=#scanlines]. Barycentric coordinates of heads of scanlines, e.g. for interpolation of scalar values at vertices.

    - #### m_length

          public int m_length

      Number of scanlines.

    - #### m_ymin

          public int m_ymin

      Y-coordinate of first scanlines, next scanlines are m_ymin+1 etc.

  - ### Constructor Detail

    - #### PsScanline

          public PsScanline()

  - ### Method Detail

    - #### makeScanlines

          public void makeScanlines(int x0,
                           int y0,
                           int x1,
                           int y1,
                           int x2,
                           int y2)

      A triangle in pixel space is digitized in a set of horizontal scanlines. The computed end points of all scanlines are assigned to this raster object.
      Parameters:
        `x0` - x-pixel coordinate of first vertex of a triangle.
        `y0` - y-pixel coordinate of first vertex of a triangle.
        `x1` - x-pixel coordinate of second vertex of a triangle.
        `y1` - y-pixel coordinate of second vertex of a triangle.
        `x2` - x-pixel coordinate of third vertex of a triangle.
        `y2` - y-pixel coordinate of third vertex of a triangle.
      Since:
        JavaView 2.48.005

"

The software JavaView? is copyright protected. All Rights Reserved.
"